Skip to main content
GET
/
contract
/
v1
/
compensations
List all compensations
curl --request GET \
  --url https://api-{region}.sesametime.com/contract/v1/compensations \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "Comision por ventas",
      "compensationType": "fixed",
      "quantity": 1500,
      "percentage": 10.5,
      "period": "weekly",
      "currency": "MXN",
      "recurrence": 1,
      "status": "active",
      "origin": "payroll",
      "code": "<string>",
      "comment": "<string>",
      "createdAt": "2020-01-01T10:00:00+01:00",
      "updatedAt": "2020-01-01T10:00:00+01:00"
    }
  ],
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Query Parameters

name
string

Filter by name (contains)

compensationType
enum<string>

Filter by compensation type

Available options:
fixed,
variable,
additional
period
enum<string>

Filter by payment period

Available options:
weekly,
biweekly,
fortnightly,
monthly
status
enum<string>

Filter by status

Available options:
active,
inactive
currency
string

Filter by currency (ISO 4217)

page
integer
default:1

Page number

limit
integer
default:50

Items per page (max 500)

Required range: x <= 500

Response

Successful response

data
object[]
meta
object